Create Agent
curl --request POST \
--url https://api.agentwallex.com/api/v1/agents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agent_name": "research-bot",
"agent_description": "Market research automation agent",
"chain": "eip155:84532",
"metadata": "{\"team\":\"growth\"}"
}
'import requests
url = "https://api.agentwallex.com/api/v1/agents"
payload = {
"agent_name": "research-bot",
"agent_description": "Market research automation agent",
"chain": "eip155:84532",
"metadata": "{\"team\":\"growth\"}"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_name: 'research-bot',
agent_description: 'Market research automation agent',
chain: 'eip155:84532',
metadata: '{"team":"growth"}'
})
};
fetch('https://api.agentwallex.com/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "agent_abc123",
"agent_name": "research-bot",
"agent_description": "Market research automation agent",
"wallet": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"chain": "eip155:84532"
},
"status": "active",
"created_at": "2025-06-01T10:00:00Z"
}{
"code": "invalid_request",
"type": "invalid_request_error",
"message": "The request body is missing required fields."
}{
"code": "authentication_failed",
"type": "authentication_error",
"message": "The provided API key is invalid or expired."
}{
"code": "insufficient_permissions",
"type": "authorization_error",
"message": "You do not have permission to perform this action."
}{
"code": "rate_limit_exceeded",
"type": "rate_limit_error",
"message": "Too many requests. Please retry after a short delay."
}{
"code": "server_error",
"type": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}エージェント
エージェントの作成
MPCセキュアなウォレットを持つ新しいAIエージェントを作成します。
POST
/
api
/
v1
/
agents
Create Agent
MPCセキュアなウォレットが自動的にプロビジョニングされた新しいエージェントを作成します。ウォレットアドレスは分散鍵生成(DKG)を使用して生成され、すぐに資金を受け取る準備ができています。
リクエストボディ
string
必須
エージェントの表示名。アカウント内で一意である必要があります。
string
エージェントの目的のオプション説明。
string
必須
エージェントのウォレット用のCAIP-2チェーン識別子。利用可能なオプションについては対応チェーンを参照してください。例:
eip155:1(Ethereum)、eip155:8453(Base)、eip155:84532(Base Sepoliaテストネット)string
カスタムキーバリューペア用のJSON エンコードされたメタデータ文字列。
レスポンス
表示 レスポンスフィールド
表示 レスポンスフィールド
例
curl -X POST https://api.agentwallex.com/api/v1/agents \
-H "X-API-Key: awx_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"agent_name": "research-bot",
"agent_description": "Market research automation agent",
"chain": "eip155:84532",
"metadata": "{\"team\":\"growth\"}"
}'
const agent = await aw.agents.create({
name: "research-bot",
chain: "eip155:84532",
metadata: { team: "growth" },
});
agent = await aw.agents.create(
name="research-bot",
chain="eip155:84532",
metadata={"team": "growth"},
)
Response
{
"id": "agent_abc123",
"agent_name": "research-bot",
"agent_description": "Market research automation agent",
"wallet": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"chain": "eip155:84532"
},
"status": "active",
"created_at": "2025-06-01T10:00:00Z"
}
承認
ApiKeyAuthBearerAuth
API key authentication. Keys are prefixed with awx_.
ボディ
application/json
Display name for the agent. Must be unique within your account.
CAIP-2 chain identifier for the agent's wallet (e.g., eip155:1 for Ethereum, eip155:8453 for Base, eip155:84532 for Base Sepolia testnet).
Optional description of the agent's purpose.
JSON-encoded metadata string for custom key-value pairs.
レスポンス
Agent created successfully.
An AI agent with an MPC-secured wallet.
Unique agent identifier (e.g., agent_abc123).
Agent display name.
Agent description.
An on-chain wallet associated with an agent.
Show child attributes
Show child attributes
Agent status.
利用可能なオプション:
active, inactive JSON-encoded metadata string.
ISO 8601 creation timestamp.
⌘I